using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class _444 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "Sort",
                table: "QuestionResolves",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<bool>(
                name: "IsDeleted",
                table: "QuestionReplaceTasks",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<int>(
                name: "TaskState",
                table: "QuestionReplaceTasks",
                nullable: false,
                defaultValue: 0);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Sort",
                table: "QuestionResolves");

            migrationBuilder.DropColumn(
                name: "IsDeleted",
                table: "QuestionReplaceTasks");

            migrationBuilder.DropColumn(
                name: "TaskState",
                table: "QuestionReplaceTasks");
        }
    }
}
